Bug 7110 - Gnome Terminal and Cursor problems
Gnome Terminal and Cursor problems
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-11-18 13:20 EST by jeld
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-04 11:46:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jeld 1999-11-18 13:20:59 EST
If something is typed in Gnome Terminal while X cursor is inside the
terminal window, cursor is getting all funny ( long straight white lines
going to the bottom of the screen ) until the cursor is moved. Nothing
happens if cursor is outside the window.
Comment 1 Michael Fulbright 1999-11-29 10:58:59 EST
I believe this behavior was intended by the author of gnome-terminal.
Comment 2 jeld 1999-12-01 15:51:59 EST
Again, ( see bug 7109 ) this is not "intended behaviour" because the same thing
happens in WindowMaker's dialogs whether cursor is in the dialog or not, the
cursor turns into a huge square-shaped thing partially colored and kinda
shimmering that goes to the bottom of the desktop ( WindowMaker RPM was taken
from one of the Distribution CDs ) and anything below the cursor becomes
unreadable. This IS a bug and it is probably not related to Gnome but to gtk+
or even Xlib. ( I am not sure if WindowMaker is gtk+ based, sorry )
Comment 3 jeld 1999-12-02 12:54:59 EST
I have tried to pin this problem down to a particular library or program, and
found that it goes as low as the actual X server. I use XF86_Mach64 ( 3.3.5
original from the CD, don't remember the revision ) and ATI Xpert@Play 8MB AGP
video card. I also have Creative Voodoo2 3D accelerator. When I use XF86_SVGA
this problem goes away, but another one starts. After I exit XF86_SVGA and try
to switch to console mode it seems to put my video card to sleep. There is no
video and monitor goes into power save mode until I start X again ( which I
guess reinitializes the card ) but even if I start Mach64 driver I am still
unable to get into the console ( even with CTRL-ALT-F1 ) unless I reboot the
system. I will try it today on a different system with different accelerated
server ( S3 ) to check if this problem reoccures and try it without the Voodoo
Comment 4 Elliot Lee 2000-01-17 14:03:59 EST
This sounds like an X bug - definitely not intended gnome-terminal behaviour.

Hopefully Preston can figure out the details.

I apologize for reassigning this bug yet again - hopefully this time it will be
to a person who can fix it. :)
Comment 5 Preston Brown 2000-02-04 11:46:59 EST
we don't do actual driver development, so there's not much I can say here, other
than try out the XFree86 3.3.6 release in rawhide right now (or wait for 6.2)
and see if your problem is fixed.  If not, please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.